<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__ecc__domain__params_8c" kind="file" language="C++">
    <compoundname>cy_crypto_core_ecc_domain_params.c</compoundname>
    <includes local="yes" refid="cy__crypto__core__ecc_8h">cy_crypto_core_ecc.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="cy__crypto__core__ecc__domain__params_8c_1a0f36d8353a129220be6707d6e6ddc95d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="compound" refid="structcy__stc__crypto__ecc__dp__type">cy_stc_crypto_ecc_dp_type</ref> *</type>
        <definition>cy_stc_crypto_ecc_dp_type* Cy_Crypto_Core_ECC_GetCurveParams</definition>
        <argsstring>(cy_en_crypto_ecc_curve_id_t curveId)</argsstring>
        <name>Cy_Crypto_Core_ECC_GetCurveParams</name>
        <param>
          <type><ref kindref="member" refid="group__group__crypto__lld__asymmetric__enums_1ga03e136772067494dd44c027b354ce41b">cy_en_crypto_ecc_curve_id_t</ref></type>
          <declname>curveId</declname>
        </param>
        <briefdescription>
<para>Get curve domain parameters if this curve is supported. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>curveId</parametername>
</parameternamelist>
<parameterdescription>
<para>See <ref kindref="member" refid="group__group__crypto__lld__asymmetric__enums_1ga03e136772067494dd44c027b354ce41b">cy_en_crypto_ecc_curve_id_t</ref>.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Pointer to curve domain parameters. See <ref kindref="compound" refid="structcy__stc__crypto__ecc__dp__type">cy_stc_crypto_ecc_dp_type</ref>. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="469" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_domain_params.c" bodystart="48" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_domain_params.c" line="48" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides constant and parameters for the API for the ECC in the Crypto driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#include<sp />"cy_crypto_core_ecc.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="36"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_Crypto_Core_ECC_GetCurveParams</highlight></codeline>
<codeline lineno="37"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><ref kindref="compound" refid="structcy__stc__crypto__ecc__dp__type">cy_stc_crypto_ecc_dp_type</ref><sp />*Cy_Crypto_Core_ECC_GetCurveParams(<ref kindref="member" refid="group__group__crypto__lld__asymmetric__enums_1ga03e136772067494dd44c027b354ce41b">cy_en_crypto_ecc_curve_id_t</ref><sp />curveId)</highlight></codeline>
<codeline lineno="49"><highlight class="normal">{</highlight></codeline>
<codeline lineno="50"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />P192<sp />CURVE<sp />PARAMETERS<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP192Polynomial[CY_CRYPTO_ECC_P192_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="52"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xfeu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP192PolyBarrett[CY_CRYPTO_ECC_P192_BYTE_SIZE<sp />+<sp />1u]<sp />=</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="62"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP192Order[CY_CRYPTO_ECC_P192_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x31u,<sp />0x28u,<sp />0xD2u,<sp />0xB4u,<sp />0xB1u,<sp />0xC9u,<sp />0x6Bu,<sp />0x14u,</highlight></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x36u,<sp />0xF8u,<sp />0xDEu,<sp />0x99u,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />"1000000000000000000000000662107c9eb94364e4b2dd7cf"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP192OrderBarrett[CY_CRYPTO_ECC_P192_BYTE_SIZE<sp />+<sp />1u]<sp />=</highlight></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xcfu,<sp />0xd7u,<sp />0x2du,<sp />0x4bu,<sp />0x4eu,<sp />0x36u,<sp />0x94u,<sp />0xebu,</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xc9u,<sp />0x07u,<sp />0x21u,<sp />0x66u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />x:<sp />"188DA80EB03090F67CBF20EB43A18800F4FF0AFD82FF1012"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP192BasePointX[CY_CRYPTO_ECC_P192_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x12u,<sp />0x10u,<sp />0xffu,<sp />0x82u,<sp />0xfdu,<sp />0x0au,<sp />0xffu,<sp />0xf4u,</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x88u,<sp />0xa1u,<sp />0x43u,<sp />0xebu,<sp />0x20u,<sp />0xbfu,<sp />0x7cu,</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xf6u,<sp />0x90u,<sp />0x30u,<sp />0xb0u,<sp />0x0eu,<sp />0xa8u,<sp />0x8du,<sp />0x18u</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />y:<sp />"07192B95FFC8DA78631011ED6B24CDD573F977A11E794811"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP192BasePointY[CY_CRYPTO_ECC_P192_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x11u,<sp />0x48u,<sp />0x79u,<sp />0x1eu,<sp />0xa1u,<sp />0x77u,<sp />0xf9u,<sp />0x73u,</highlight></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xd5u,<sp />0xcdu,<sp />0x24u,<sp />0x6bu,<sp />0xedu,<sp />0x11u,<sp />0x10u,<sp />0x63u,</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x78u,<sp />0xdau,<sp />0xc8u,<sp />0xffu,<sp />0x95u,<sp />0x2bu,<sp />0x19u,<sp />0x07u</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />P224<sp />CURVE<sp />PARAMETERS<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP224Polynomial[CY_CRYPTO_ECC_P224_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="106"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP224PolyBarrett[CY_CRYPTO_ECC_P224_BYTE_SIZE<sp />+<sp />1u]<sp />=</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="109"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x01u</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP224Order[CY_CRYPTO_ECC_P224_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x3Du,<sp />0x2Au,<sp />0x5Cu,<sp />0x5Cu,<sp />0x45u,<sp />0x29u,<sp />0xDDu,<sp />0x13u,</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x3Eu,<sp />0xF0u,<sp />0xB8u,<sp />0xE0u,<sp />0xA2u,<sp />0x16u,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />"10000000000000000000000000000e95d1f470fc1ec22d6baa3a3d5c3"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP224OrderBarrett[CY_CRYPTO_ECC_P224_BYTE_SIZE<sp />+<sp />1u]<sp />=</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xc3u,<sp />0xd5u,<sp />0xa3u,<sp />0xa3u,<sp />0xbau,<sp />0xd6u,<sp />0x22u,<sp />0xecu,</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xc1u,<sp />0x0fu,<sp />0x47u,<sp />0x1fu,<sp />0x5du,<sp />0xe9u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x01u</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="129"><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Gx<sp />-<sp />base<sp />point<sp />x:<sp />"B70E0CBD6BB4BF7F321390B94A03C1D356C21122343280D6115C1D21"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP224BasePointX[CY_CRYPTO_ECC_P224_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x21u,<sp />0x1du,<sp />0x5cu,<sp />0x11u,<sp />0xd6u,<sp />0x80u,<sp />0x32u,<sp />0x34u,</highlight></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x22u,<sp />0x11u,<sp />0xc2u,<sp />0x56u,<sp />0xd3u,<sp />0xc1u,<sp />0x03u,<sp />0x4au,</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xb9u,<sp />0x90u,<sp />0x13u,<sp />0x32u,<sp />0x7fu,<sp />0xbfu,<sp />0xb4u,<sp />0x6bu,</highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xbdu,<sp />0x0cu,<sp />0x0eu,<sp />0xb7u</highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="138"><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Gy<sp />-<sp />base<sp />point<sp />y:<sp />"BD376388B5F723FB4C22DFE6CD4375A05A07476444D5819985007E34"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP224BasePointY[CY_CRYPTO_ECC_P224_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x34u,<sp />0x7eu,<sp />0x00u,<sp />0x85u,<sp />0x99u,<sp />0x81u,<sp />0xd5u,<sp />0x44u,</highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x64u,<sp />0x47u,<sp />0x07u,<sp />0x5au,<sp />0xa0u,<sp />0x75u,<sp />0x43u,<sp />0xcdu,</highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xe6u,<sp />0xdfu,<sp />0x22u,<sp />0x4cu,<sp />0xfbu,<sp />0x23u,<sp />0xf7u,<sp />0xb5u,</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x88u,<sp />0x63u,<sp />0x37u,<sp />0xbdu</highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="147"><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />P256<sp />CURVE<sp />PARAMETERS<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />prime:<sp />"FFFFFFFF00000001000000000000000000000000FFFFFFFFFFFFFFFFFFFFFFFF"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP256Polynomial[CY_CRYPTO_ECC_P256_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="153"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu</highlight></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_p:<sp />"100000000fffffffffffffffefffffffefffffffeffffffff0000000000000003"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP256PolyBarrett[CY_CRYPTO_ECC_P256_BYTE_SIZE<sp />+<sp />1u]<sp />=</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated!<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x03u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xfeu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xfeu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xfeu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />order:<sp />"FFFFFFFF00000000FFFFFFFFFFFFFFFFBCE6FAADA7179E84F3B9CAC2FC632551"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP256Order[CY_CRYPTO_ECC_P256_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x51u,<sp />0x25u,<sp />0x63u,<sp />0xfcu,<sp />0xc2u,<sp />0xcau,<sp />0xb9u,<sp />0xf3u,</highlight></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x84u,<sp />0x9eu,<sp />0x17u,<sp />0xa7u,<sp />0xadu,<sp />0xfau,<sp />0xe6u,<sp />0xbcu,</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="177"><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />100000000fffffffffffffffeffffffff43190552df1a6c21012ffd85eedf9bfe"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP256OrderBarrett[CY_CRYPTO_ECC_P256_BYTE_SIZE<sp />+<sp />1u]<sp />=</highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xfeu,<sp />0x9bu,<sp />0xdfu,<sp />0xeeu,<sp />0x85u,<sp />0xfdu,<sp />0x2fu,<sp />0x01u,</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x21u,<sp />0x6cu,<sp />0x1au,<sp />0xdfu,<sp />0x52u,<sp />0x05u,<sp />0x19u,<sp />0x43u,</highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xfeu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="185"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u</highlight></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="187"><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />x:<sp />"6B17D1F2E12C4247F8BCE6E563A440F277037D812DEB33A0F4A13945D898C296"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP256BasePointX[CY_CRYPTO_ECC_P256_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="190"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x96u,<sp />0xc2u,<sp />0x98u,<sp />0xd8u,<sp />0x45u,<sp />0x39u,<sp />0xa1u,<sp />0xf4u,</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xa0u,<sp />0x33u,<sp />0xebu,<sp />0x2du,<sp />0x81u,<sp />0x7du,<sp />0x03u,<sp />0x77u,</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xf2u,<sp />0x40u,<sp />0xa4u,<sp />0x63u,<sp />0xe5u,<sp />0xe6u,<sp />0xbcu,<sp />0xf8u,</highlight></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x47u,<sp />0x42u,<sp />0x2cu,<sp />0xe1u,<sp />0xf2u,<sp />0xd1u,<sp />0x17u,<sp />0x6bu</highlight></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="196"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />y:<sp />"4FE342E2FE1A7F9B8EE7EB4A7C0F9E162BCE33576B315ECECBB6406837BF51F5"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP256BasePointY[CY_CRYPTO_ECC_P256_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xf5u,<sp />0x51u,<sp />0xbfu,<sp />0x37u,<sp />0x68u,<sp />0x40u,<sp />0xb6u,<sp />0xcbu,</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xceu,<sp />0x5eu,<sp />0x31u,<sp />0x6bu,<sp />0x57u,<sp />0x33u,<sp />0xceu,<sp />0x2bu,</highlight></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x16u,<sp />0x9eu,<sp />0x0fu,<sp />0x7cu,<sp />0x4au,<sp />0xebu,<sp />0xe7u,<sp />0x8eu,</highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x9bu,<sp />0x7fu,<sp />0x1au,<sp />0xfeu,<sp />0xe2u,<sp />0x42u,<sp />0xe3u,<sp />0x4fu,</highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />prime:<sp />"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFF0000000000000000FFFFFFFF"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP384Polynomial[CY_CRYPTO_ECC_P384_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="209"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="210"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xfeu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu</highlight></codeline>
<codeline lineno="215"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="216"><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_p:<sp />"1000000000000000000000000000000000000000000000000000000000000000100000000ffffffffffffffff00000001"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP384PolyBarrett[CY_CRYPTO_ECC_P384_BYTE_SIZE<sp />+<sp />1u]<sp />=</highlight></codeline>
<codeline lineno="219"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="221"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="222"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="223"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="224"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="226"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="228"><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />order:<sp />"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFC7634D81F4372DDF581A0DB248B0A77AECEC196ACCC52973"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP384Order[CY_CRYPTO_ECC_P384_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="231"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="232"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x73u,<sp />0x29u,<sp />0xC5u,<sp />0xCCu,<sp />0x6Au,<sp />0x19u,<sp />0xECu,<sp />0xECu,</highlight></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x7Au,<sp />0xA7u,<sp />0xB0u,<sp />0x48u,<sp />0xB2u,<sp />0x0Du,<sp />0x1Au,<sp />0x58u,</highlight></codeline>
<codeline lineno="234"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xDFu,<sp />0x2Du,<sp />0x37u,<sp />0xF4u,<sp />0x81u,<sp />0x4Du,<sp />0x63u,<sp />0xC7u,</highlight></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="237"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu</highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="239"><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />"1000000000000000000000000000000000000000000000000389cb27e0bc8d220a7e5f24db74f58851313e695333ad68d"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="241"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP384OrderBarrett[CY_CRYPTO_ECC_P384_BYTE_SIZE<sp />+<sp />1u]<sp />=</highlight></codeline>
<codeline lineno="242"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x8du,<sp />0xd6u,<sp />0x3au,<sp />0x33u,<sp />0x95u,<sp />0xe6u,<sp />0x13u,<sp />0x13u,</highlight></codeline>
<codeline lineno="244"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x85u,<sp />0x58u,<sp />0x4fu,<sp />0xb7u,<sp />0x4du,<sp />0xf2u,<sp />0xe5u,<sp />0xa7u,</highlight></codeline>
<codeline lineno="245"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x20u,<sp />0xd2u,<sp />0xc8u,<sp />0x0bu,<sp />0x7eu,<sp />0xb2u,<sp />0x9cu,<sp />0x38u,</highlight></codeline>
<codeline lineno="246"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="247"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="248"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="249"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u</highlight></codeline>
<codeline lineno="250"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="251"><highlight class="normal" /></codeline>
<codeline lineno="252"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />x:<sp />"AA87CA22BE8B05378EB1C71EF320AD746E1D3B628BA79B9859F741E082542A385502F25DBF55296C3A545E3872760AB7"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="253"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP384BasePointX[CY_CRYPTO_ECC_P384_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="254"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="255"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xb7u,<sp />0x0au,<sp />0x76u,<sp />0x72u,<sp />0x38u,<sp />0x5eu,<sp />0x54u,<sp />0x3au,</highlight></codeline>
<codeline lineno="256"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x6cu,<sp />0x29u,<sp />0x55u,<sp />0xbfu,<sp />0x5du,<sp />0xf2u,<sp />0x02u,<sp />0x55u,</highlight></codeline>
<codeline lineno="257"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x38u,<sp />0x2au,<sp />0x54u,<sp />0x82u,<sp />0xe0u,<sp />0x41u,<sp />0xf7u,<sp />0x59u,</highlight></codeline>
<codeline lineno="258"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x98u,<sp />0x9bu,<sp />0xa7u,<sp />0x8bu,<sp />0x62u,<sp />0x3bu,<sp />0x1du,<sp />0x6eu,</highlight></codeline>
<codeline lineno="259"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x74u,<sp />0xadu,<sp />0x20u,<sp />0xf3u,<sp />0x1eu,<sp />0xc7u,<sp />0xb1u,<sp />0x8eu,</highlight></codeline>
<codeline lineno="260"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x37u,<sp />0x05u,<sp />0x8bu,<sp />0xbeu,<sp />0x22u,<sp />0xcau,<sp />0x87u,<sp />0xaau</highlight></codeline>
<codeline lineno="261"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="262"><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />y:<sp />"3617DE4A96262C6F5D9E98BF9292DC29F8F41DBD289A147CE9DA3113B5F0B8C00A60B1CE1D7E819D7A431D7C90EA0E5F"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="264"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP384BasePointY[CY_CRYPTO_ECC_P384_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="265"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="266"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x5fu,<sp />0x0eu,<sp />0xeau,<sp />0x90u,<sp />0x7cu,<sp />0x1du,<sp />0x43u,<sp />0x7au,</highlight></codeline>
<codeline lineno="267"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x9du,<sp />0x81u,<sp />0x7eu,<sp />0x1du,<sp />0xceu,<sp />0xb1u,<sp />0x60u,<sp />0x0au,</highlight></codeline>
<codeline lineno="268"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xc0u,<sp />0xb8u,<sp />0xf0u,<sp />0xb5u,<sp />0x13u,<sp />0x31u,<sp />0xdau,<sp />0xe9u,</highlight></codeline>
<codeline lineno="269"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x7cu,<sp />0x14u,<sp />0x9au,<sp />0x28u,<sp />0xbdu,<sp />0x1du,<sp />0xf4u,<sp />0xf8u,</highlight></codeline>
<codeline lineno="270"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x29u,<sp />0xdcu,<sp />0x92u,<sp />0x92u,<sp />0xbfu,<sp />0x98u,<sp />0x9eu,<sp />0x5du,</highlight></codeline>
<codeline lineno="271"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x6fu,<sp />0x2cu,<sp />0x26u,<sp />0x96u,<sp />0x4au,<sp />0xdeu,<sp />0x17u,<sp />0x36u</highlight></codeline>
<codeline lineno="272"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="273"><highlight class="normal" /></codeline>
<codeline lineno="274"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP521Polynomial[CY_CRYPTO_ECC_P521_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="275"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="276"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="277"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="278"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="279"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="280"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="281"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="282"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="283"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="284"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0x01u</highlight></codeline>
<codeline lineno="285"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="286"><highlight class="normal" /></codeline>
<codeline lineno="287"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP521PolyBarrett[CY_CRYPTO_ECC_P521_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="288"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="289"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x01u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="290"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="291"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="292"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="293"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="294"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="295"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="296"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="297"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x02u</highlight></codeline>
<codeline lineno="298"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="299"><highlight class="normal" /></codeline>
<codeline lineno="300"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP521Order[CY_CRYPTO_ECC_P521_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="301"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="302"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x09u,<sp />0x64u,<sp />0x38u,<sp />0x91u,<sp />0x1Eu,<sp />0xB7u,<sp />0x6Fu,<sp />0xBBu,</highlight></codeline>
<codeline lineno="303"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xAEu,<sp />0x47u,<sp />0x9Cu,<sp />0x89u,<sp />0xB8u,<sp />0xC9u,<sp />0xB5u,<sp />0x3Bu,</highlight></codeline>
<codeline lineno="304"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xD0u,<sp />0xA5u,<sp />0x09u,<sp />0xF7u,<sp />0x48u,<sp />0x01u,<sp />0xCCu,<sp />0x7Fu,</highlight></codeline>
<codeline lineno="305"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x6Bu,<sp />0x96u,<sp />0x2Fu,<sp />0xBFu,<sp />0x83u,<sp />0x87u,<sp />0x86u,<sp />0x51u,</highlight></codeline>
<codeline lineno="306"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xFAu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="307"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="308"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="309"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,<sp />0xffu,</highlight></codeline>
<codeline lineno="310"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xffu,<sp />0x01u</highlight></codeline>
<codeline lineno="311"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="312"><highlight class="normal" /></codeline>
<codeline lineno="313"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />"2000000000000000000000000000000000000000000000000000000000000000005ae79787c40d069948033feb708f65a2fc44a36477663b851449048e16ec79bf7"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="314"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP521OrderBarrett[CY_CRYPTO_ECC_P521_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="315"><highlight class="normal"><sp /><sp /><sp /><sp />{<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />pre-calculated<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="316"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xf7u,<sp />0x9bu,<sp />0xc7u,<sp />0x6eu,<sp />0xe1u,<sp />0x48u,<sp />0x90u,<sp />0x44u,</highlight></codeline>
<codeline lineno="317"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x51u,<sp />0xb8u,<sp />0x63u,<sp />0x76u,<sp />0x47u,<sp />0x36u,<sp />0x4au,<sp />0xc4u,</highlight></codeline>
<codeline lineno="318"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x2fu,<sp />0x5au,<sp />0xf6u,<sp />0x08u,<sp />0xb7u,<sp />0xfeu,<sp />0x33u,<sp />0x80u,</highlight></codeline>
<codeline lineno="319"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x94u,<sp />0x69u,<sp />0xd0u,<sp />0x40u,<sp />0x7cu,<sp />0x78u,<sp />0x79u,<sp />0xaeu,</highlight></codeline>
<codeline lineno="320"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x05u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="321"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="322"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="323"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,<sp />0x00u,</highlight></codeline>
<codeline lineno="324"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00u,<sp />0x02u</highlight></codeline>
<codeline lineno="325"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="326"><highlight class="normal" /></codeline>
<codeline lineno="327"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />x:<sp />"00C6858E06B70404E9CD9E3ECB662395B4429C648139053FB521F828AF606B4D3DBAA14B5E77EFE75928FE1DC127A2FFA8DE3348B3C1856A429BF97E7E31C2E5BD66"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="328"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP521BasePointX[CY_CRYPTO_ECC_P521_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="329"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="330"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x66u,<sp />0xbdu,<sp />0xe5u,<sp />0xc2u,<sp />0x31u,<sp />0x7eu,<sp />0x7eu,<sp />0xf9u,</highlight></codeline>
<codeline lineno="331"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x9bu,<sp />0x42u,<sp />0x6au,<sp />0x85u,<sp />0xc1u,<sp />0xb3u,<sp />0x48u,<sp />0x33u,</highlight></codeline>
<codeline lineno="332"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xdeu,<sp />0xa8u,<sp />0xffu,<sp />0xa2u,<sp />0x27u,<sp />0xc1u,<sp />0x1du,<sp />0xfeu,</highlight></codeline>
<codeline lineno="333"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x28u,<sp />0x59u,<sp />0xe7u,<sp />0xefu,<sp />0x77u,<sp />0x5eu,<sp />0x4bu,<sp />0xa1u,</highlight></codeline>
<codeline lineno="334"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xbau,<sp />0x3du,<sp />0x4du,<sp />0x6bu,<sp />0x60u,<sp />0xafu,<sp />0x28u,<sp />0xf8u,</highlight></codeline>
<codeline lineno="335"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x21u,<sp />0xb5u,<sp />0x3fu,<sp />0x05u,<sp />0x39u,<sp />0x81u,<sp />0x64u,<sp />0x9cu,</highlight></codeline>
<codeline lineno="336"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x42u,<sp />0xb4u,<sp />0x95u,<sp />0x23u,<sp />0x66u,<sp />0xcbu,<sp />0x3eu,<sp />0x9eu,</highlight></codeline>
<codeline lineno="337"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xcdu,<sp />0xe9u,<sp />0x04u,<sp />0x04u,<sp />0xb7u,<sp />0x06u,<sp />0x8eu,<sp />0x85u,</highlight></codeline>
<codeline lineno="338"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xc6u,<sp />0x00u</highlight></codeline>
<codeline lineno="339"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="340"><highlight class="normal" /></codeline>
<codeline lineno="341"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />y:<sp />"011839296A789A3BC0045C8A5FB42C7D1BD998F54449579B446817AFBD17273E662C97EE72995EF42640C550B9013FAD0761353C7086A272C24088BE94769FD16650"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="342"><highlight class="normal"><sp /><sp /><sp /><sp />CY_ALIGN(4)<sp />static<sp />const<sp />uint8_t<sp /><sp />eccP521BasePointY[CY_CRYPTO_ECC_P521_BYTE_SIZE]<sp />=</highlight></codeline>
<codeline lineno="343"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="344"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x50u,<sp />0x66u,<sp />0xd1u,<sp />0x9fu,<sp />0x76u,<sp />0x94u,<sp />0xbeu,<sp />0x88u,</highlight></codeline>
<codeline lineno="345"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x40u,<sp />0xc2u,<sp />0x72u,<sp />0xa2u,<sp />0x86u,<sp />0x70u,<sp />0x3cu,<sp />0x35u,</highlight></codeline>
<codeline lineno="346"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x61u,<sp />0x07u,<sp />0xadu,<sp />0x3fu,<sp />0x01u,<sp />0xb9u,<sp />0x50u,<sp />0xc5u,</highlight></codeline>
<codeline lineno="347"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x40u,<sp />0x26u,<sp />0xf4u,<sp />0x5eu,<sp />0x99u,<sp />0x72u,<sp />0xeeu,<sp />0x97u,</highlight></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x2cu,<sp />0x66u,<sp />0x3eu,<sp />0x27u,<sp />0x17u,<sp />0xbdu,<sp />0xafu,<sp />0x17u,</highlight></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x68u,<sp />0x44u,<sp />0x9bu,<sp />0x57u,<sp />0x49u,<sp />0x44u,<sp />0xf5u,<sp />0x98u,</highlight></codeline>
<codeline lineno="350"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0xd9u,<sp />0x1bu,<sp />0x7du,<sp />0x2cu,<sp />0xb4u,<sp />0x5fu,<sp />0x8au,<sp />0x5cu,</highlight></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x04u,<sp />0xc0u,<sp />0x3bu,<sp />0x9au,<sp />0x78u,<sp />0x6au,<sp />0x29u,<sp />0x39u,</highlight></codeline>
<codeline lineno="352"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x18u,<sp />0x01u</highlight></codeline>
<codeline lineno="353"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="354"><highlight class="normal" /></codeline>
<codeline lineno="355"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">static</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__crypto__ecc__dp__type">cy_stc_crypto_ecc_dp_type</ref><sp />eccDomainParams[]<sp />=</highlight></codeline>
<codeline lineno="356"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="357"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="358"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_ECP_NONE,</highlight></codeline>
<codeline lineno="359"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0u,</highlight></codeline>
<codeline lineno="360"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NULL,</highlight></codeline>
<codeline lineno="361"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_NIST_P_CURVE_SPECIFIC_RED_ALG,</highlight></codeline>
<codeline lineno="362"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NULL,</highlight></codeline>
<codeline lineno="363"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NULL,</highlight></codeline>
<codeline lineno="364"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NULL,</highlight></codeline>
<codeline lineno="365"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NULL,</highlight></codeline>
<codeline lineno="366"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NULL,</highlight></codeline>
<codeline lineno="367"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NULL</highlight></codeline>
<codeline lineno="368"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />},</highlight></codeline>
<codeline lineno="369"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="370"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_ECP_SECP192R1,</highlight></codeline>
<codeline lineno="371"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_P192_SIZE,</highlight></codeline>
<codeline lineno="372"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="stringliteral">"NIST<sp />P-192"</highlight><highlight class="normal">,</highlight></codeline>
<codeline lineno="373"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_NIST_P_CURVE_SPECIFIC_RED_ALG,</highlight></codeline>
<codeline lineno="374"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />prime:<sp />"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFFFFFFFFFF"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="375"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP192Polynomial,</highlight></codeline>
<codeline lineno="376"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_p:<sp />"1000000000000000000000000000000010000000000000001"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="377"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP192PolyBarrett,</highlight></codeline>
<codeline lineno="378"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />order:<sp />"FFFFFFFFFFFFFFFFFFFFFFFF99DEF836146BC9B1B4D22831"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="379"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP192Order,</highlight></codeline>
<codeline lineno="380"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />"1000000000000000000000000662107c9eb94364e4b2dd7cf"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="381"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP192OrderBarrett,</highlight></codeline>
<codeline lineno="382"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />x:<sp />"188DA80EB03090F67CBF20EB43A18800F4FF0AFD82FF1012"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="383"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP192BasePointX,</highlight></codeline>
<codeline lineno="384"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />y:<sp />"07192B95FFC8DA78631011ED6B24CDD573F977A11E794811"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="385"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP192BasePointY</highlight></codeline>
<codeline lineno="386"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />},</highlight></codeline>
<codeline lineno="387"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="388"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_ECP_SECP224R1,</highlight></codeline>
<codeline lineno="389"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_P224_SIZE,</highlight></codeline>
<codeline lineno="390"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="stringliteral">"NIST<sp />P-224"</highlight><highlight class="normal">,</highlight></codeline>
<codeline lineno="391"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_NIST_P_CURVE_SPECIFIC_RED_ALG,</highlight></codeline>
<codeline lineno="392"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />prime:<sp />"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF000000000000000000000001"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="393"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP224Polynomial,</highlight></codeline>
<codeline lineno="394"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_p:<sp />"100000000000000000000000000000000ffffffffffffffffffffffff"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="395"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP224PolyBarrett,</highlight></codeline>
<codeline lineno="396"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />order:<sp />"FFFFFFFFFFFFFFFFFFFFFFFFFFFF16A2E0B8F03E13DD29455C5C2A3D"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="397"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP224Order,</highlight></codeline>
<codeline lineno="398"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />"10000000000000000000000000000e95d1f470fc1ec22d6baa3a3d5c3"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="399"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP224OrderBarrett,</highlight></codeline>
<codeline lineno="400"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Gx<sp />-<sp />base<sp />point<sp />x:<sp />"B70E0CBD6BB4BF7F321390B94A03C1D356C21122343280D6115C1D21"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="401"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP224BasePointX,</highlight></codeline>
<codeline lineno="402"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Gy<sp />-<sp />base<sp />point<sp />y:<sp />"BD376388B5F723FB4C22DFE6CD4375A05A07476444D5819985007E34"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="403"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP224BasePointY</highlight></codeline>
<codeline lineno="404"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />},</highlight></codeline>
<codeline lineno="405"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="406"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_ECP_SECP256R1,</highlight></codeline>
<codeline lineno="407"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_P256_SIZE,</highlight></codeline>
<codeline lineno="408"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="stringliteral">"NIST<sp />P-256"</highlight><highlight class="normal">,</highlight></codeline>
<codeline lineno="409"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_NIST_P_BARRETT_RED_ALG,</highlight></codeline>
<codeline lineno="410"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />prime:<sp />"FFFFFFFF00000001000000000000000000000000FFFFFFFFFFFFFFFFFFFFFFFF"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="411"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP256Polynomial,</highlight></codeline>
<codeline lineno="412"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_p:<sp />"100000000fffffffffffffffefffffffefffffffeffffffff0000000000000003"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="413"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP256PolyBarrett,</highlight></codeline>
<codeline lineno="414"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />order:<sp />"FFFFFFFF00000000FFFFFFFFFFFFFFFFBCE6FAADA7179E84F3B9CAC2FC632551"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="415"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP256Order,</highlight></codeline>
<codeline lineno="416"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />"100000000fffffffffffffffeffffffff43190552df1a6c21012ffd85eedf9bfe"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="417"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP256OrderBarrett,</highlight></codeline>
<codeline lineno="418"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Gx<sp />-<sp />base<sp />point<sp />x:<sp />"6B17D1F2E12C4247F8BCE6E563A440F277037D812DEB33A0F4A13945D898C296"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="419"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP256BasePointX,</highlight></codeline>
<codeline lineno="420"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Gy<sp />-<sp />base<sp />point<sp />y:<sp />"4FE342E2FE1A7F9B8EE7EB4A7C0F9E162BCE33576B315ECECBB6406837BF51F5"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="421"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP256BasePointY</highlight></codeline>
<codeline lineno="422"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />},</highlight></codeline>
<codeline lineno="423"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="424"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_ECP_SECP384R1,</highlight></codeline>
<codeline lineno="425"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_P384_SIZE,</highlight></codeline>
<codeline lineno="426"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="stringliteral">"NIST<sp />P-384"</highlight><highlight class="normal">,</highlight></codeline>
<codeline lineno="427"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_NIST_P_BARRETT_RED_ALG,</highlight></codeline>
<codeline lineno="428"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />prime:<sp />"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFEFFFFFFFF0000000000000000FFFFFFFF"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="429"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP384Polynomial,</highlight></codeline>
<codeline lineno="430"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_p:<sp />"1000000000000000000000000000000000000000000000000000000000000000100000000ffffffffffffffff00000001"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="431"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP384PolyBarrett,</highlight></codeline>
<codeline lineno="432"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />order:<sp />"FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFC7634D81F4372DDF581A0DB248B0A77AECEC196ACCC52973"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="433"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP384Order,</highlight></codeline>
<codeline lineno="434"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />"1000000000000000000000000000000000000000000000000389cb27e0bc8d220a7e5f24db74f58851313e695333ad68d"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="435"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP384OrderBarrett,</highlight></codeline>
<codeline lineno="436"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />x:<sp />"AA87CA22BE8B05378EB1C71EF320AD746E1D3B628BA79B9859F741E082542A385502F25DBF55296C3A545E3872760AB7"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="437"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP384BasePointX,</highlight></codeline>
<codeline lineno="438"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />y:<sp />"3617DE4A96262C6F5D9E98BF9292DC29F8F41DBD289A147CE9DA3113B5F0B8C00A60B1CE1D7E819D7A431D7C90EA0E5F"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="439"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP384BasePointY</highlight></codeline>
<codeline lineno="440"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />},</highlight></codeline>
<codeline lineno="441"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="442"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_ECP_SECP521R1,</highlight></codeline>
<codeline lineno="443"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_ECC_P521_SIZE,</highlight></codeline>
<codeline lineno="444"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="stringliteral">"NIST<sp />P-521"</highlight><highlight class="normal">,</highlight></codeline>
<codeline lineno="445"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_NIST_P_CURVE_SPECIFIC_RED_ALG,</highlight></codeline>
<codeline lineno="446"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />prime:<sp />"1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="447"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP521Polynomial,</highlight></codeline>
<codeline lineno="448"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_p:<sp />"20000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="449"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP521PolyBarrett,</highlight></codeline>
<codeline lineno="450"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />order:<sp />"1FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFA51868783BF2F966B7FCC0148F709A5D03BB5C9B8899C47AEBB6FB71E91386409"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="451"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP521Order,</highlight></codeline>
<codeline lineno="452"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />barrett_o:<sp />"2000000000000000000000000000000000000000000000000000000000000000005ae79787c40d069948033feb708f65a2fc44a36477663b851449048e16ec79bf7"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="453"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP521OrderBarrett,</highlight></codeline>
<codeline lineno="454"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />x:<sp />"0C6858E06B70404E9CD9E3ECB662395B4429C648139053FB521F828AF606B4D3DBAA14B5E77EFE75928FE1DC127A2FFA8DE3348B3C1856A429BF97E7E31C2E5BD66"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="455"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP521BasePointX,</highlight></codeline>
<codeline lineno="456"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />base<sp />point<sp />y:<sp />"11839296A789A3BC0045C8A5FB42C7D1BD998F54449579B446817AFBD17273E662C97EE72995EF42640C550B9013FAD0761353C7086A272C24088BE94769FD16650"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="457"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />eccP521BasePointY</highlight></codeline>
<codeline lineno="458"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="459"><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline lineno="460"><highlight class="normal" /></codeline>
<codeline lineno="461"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__crypto__ecc__dp__type">cy_stc_crypto_ecc_dp_type</ref><sp />*tmpResult<sp />=<sp />NULL;</highlight></codeline>
<codeline lineno="462"><highlight class="normal" /></codeline>
<codeline lineno="463"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((curveId<sp />&gt;<sp />CY_CRYPTO_ECC_ECP_NONE)<sp />&amp;&amp;<sp />(curveId<sp />&lt;<sp />CY_CRYPTO_ECC_ECP_CURVES_CNT))</highlight></codeline>
<codeline lineno="464"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="465"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp />(<ref kindref="compound" refid="structcy__stc__crypto__ecc__dp__type">cy_stc_crypto_ecc_dp_type</ref><sp />*)&amp;eccDomainParams[curveId];</highlight></codeline>
<codeline lineno="466"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="467"><highlight class="normal" /></codeline>
<codeline lineno="468"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="469"><highlight class="normal">}</highlight></codeline>
<codeline lineno="470"><highlight class="normal" /></codeline>
<codeline lineno="471"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="472"><highlight class="normal">}</highlight></codeline>
<codeline lineno="473"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="474"><highlight class="normal" /></codeline>
<codeline lineno="475"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCRYPTO<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="476"><highlight class="normal" /></codeline>
<codeline lineno="477"><highlight class="normal" /></codeline>
<codeline lineno="478"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_ecc_domain_params.c" />
  </compounddef>
</doxygen>